// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UMovieSceneSequence.h"
#include "SCW_UMovieSceneSignedObject.h"

class UMovieSceneSequence;

namespace Sourcify
{
	class SCW_UMovieSceneSequence : public SCW_UMovieSceneSignedObject, public virtual ISCW_UMovieSceneSequence
	{
	public:
		SCW_UMovieSceneSequence(UMovieSceneSequence* InMovieSceneSequence);

		UMovieSceneSequence* ToUMovieSceneSequence() const;

		ISCW_UMovieSceneSequencePtr ToUMovieSceneSequencePtr() override;
		ISCW_UMovieSceneSequenceConstPtr ToUMovieSceneSequencePtr() const override;

	protected:
		UMovieSceneSequence* MovieSceneSequence;
	};
} // namespace Sourcify